AbstractUpdateRequest (Solr 3.6.2 API)
Keywords: org.apache.solr.client.solrj.request.AbstractUpdateRequest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.client.solrj.request
Class AbstractUpdateRequest

    java.lang.Object
      org.apache.solr.client.solrj.SolrRequest
          org.apache.solr.client.solrj.request.AbstractUpdateRequest

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ContentStreamUpdateRequest, UpdateRequest

    public abstract class AbstractUpdateRequest

extends SolrRequest

See Also:
  Serialized Form

Nested Class Summary
`static class` | `AbstractUpdateRequest.ACTION`

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest
`SolrRequest.METHOD`

Field Summary
`protected int` | `commitWithin`
`protected ModifiableSolrParams` | `params`

Constructor Summary
`AbstractUpdateRequest(SolrRequest.METHOD m, String path)`

Method Summary
`AbstractUpdateRequest.ACTION` | `getAction()`
`int` | `getCommitWithin()`
`ModifiableSolrParams` | `getParams()`
`boolean` | `isWaitFlush()`
`boolean` | `isWaitSearcher()`
`UpdateResponse` | `process(SolrServer server)`
`AbstractUpdateRequest` | `rollback()`
`AbstractUpdateRequest` | `setAction(AbstractUpdateRequest.ACTION action, boolean waitFlush, boolean waitSearcher)` Sets appropriate parameters for the given ACTION
`AbstractUpdateRequest` | `setAction(AbstractUpdateRequest.ACTION action, boolean waitFlush, boolean waitSearcher, int maxSegments)`
`AbstractUpdateRequest` | `setAction(AbstractUpdateRequest.ACTION action, boolean waitFlush, boolean waitSearcher, int maxSegments, boolean expungeDeletes)`
`void` | `setCommitWithin(int commitWithin)`
`void` | `setParam(String param, String value)`
`void` | `setParams(ModifiableSolrParams params)` Sets the parameters for this update request, overwriting any previous
`void` | `setWaitFlush(boolean waitFlush)`
`void` | `setWaitSearcher(boolean waitSearcher)`

Methods inherited from class org.apache.solr.client.solrj.SolrRequest
`getContentStreams, getMethod, getPath, getResponseParser, setMethod, setPath, setResponseParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### params

    protected ModifiableSolrParams params

### commitWithin

    protected int commitWithin

Constructor Detail

### AbstractUpdateRequest

    public AbstractUpdateRequest(SolrRequest.METHOD m,
                                 String path)

Method Detail

### setAction

    public AbstractUpdateRequest setAction(AbstractUpdateRequest.ACTION action,
                                           boolean waitFlush,
                                           boolean waitSearcher)

  Sets appropriate parameters for the given ACTION

### setAction

    public AbstractUpdateRequest setAction(AbstractUpdateRequest.ACTION action,
                                           boolean waitFlush,
                                           boolean waitSearcher,
                                           int maxSegments)

### setAction

    public AbstractUpdateRequest setAction(AbstractUpdateRequest.ACTION action,
                                           boolean waitFlush,
                                           boolean waitSearcher,
                                           int maxSegments,
                                           boolean expungeDeletes)

### rollback

    public AbstractUpdateRequest rollback()

  Since:
    Solr 1.4

### setParam

    public void setParam(String param,
                         String value)

### setParams

    public void setParams(ModifiableSolrParams params)

  Sets the parameters for this update request, overwriting any previous

### getParams

    public ModifiableSolrParams getParams()

  Specified by:
    `getParams` in class `SolrRequest`

### process

    public UpdateResponse process(SolrServer server)
                           throws SolrServerException,
                                  IOException

  Specified by:
    `process` in class `SolrRequest`
  Throws:
    `SolrServerException`
    `IOException`

### isWaitFlush

    public boolean isWaitFlush()

### isWaitSearcher

    public boolean isWaitSearcher()

### getAction

    public AbstractUpdateRequest.ACTION getAction()

### setWaitFlush

    public void setWaitFlush(boolean waitFlush)

### setWaitSearcher

    public void setWaitSearcher(boolean waitSearcher)

### getCommitWithin

    public int getCommitWithin()

### setCommitWithin

    public void setCommitWithin(int commitWithin)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD